using System;
class Program
{
    static void Main()
    {
        int V,res;
V = int.Parse(Console.ReadLine());
if (V == 1)
{
    res = 1;
}
else if (V == 2)
{
    res = 1;
}
else if (V == 3)
{
    res = 2;
}
else if (V == 4)
{
    res = 2;
}
else if (V == 5)
{
    res = 1;
}
else if (V == 6)
{
    res = 2;
}
else if (V == 7)
{
    res = 2;
}
else if (V == 8)
{
    res = 3;
}
else if (V == 9)
{
    res = 3;
}
else if (V == 10)
{
    res = 2;
}
else if (V > 10 && V < 100)
{
    res = 3;
}
else 
{
    res = 9;
}
Console.WriteLine("{0}",res);
    }
}